Name:	tsd-common
Version:	0.8.0
Release:	1%{?dist}
Summary:	Multipurpose package for Linux Clients in TSD

Group:		System Environment/Base
License:	GPLv2+
URL:		http://www.usit.uio.no/prosjekter/tsd20/
Source0:	zabbix_checknfs
Source2:	zabbix_nfs_autodiscovery
Source3:	nfs-filesystems.conf
Source4:	zabbix-check-nfs
Requires:   perl
Requires:   perl(NetAddr::IP)
Requires:   perl(Sys::Syslog)
Requires:	zabbix-sender
Requires:	zabbix-agent
BuildArch: noarch

%description
Utilities and settings used by Linux Clients in TSD

%prep
%setup -q -c -T


%build

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -p -m 0655 %{SOURCE0} %{buildroot}%{_bindir}
install -d -m 0755 %{buildroot}%{_sysconfdir}/zabbix/zabbix_agentd.d
install -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/zabbix/zabbix_agentd.d
install -p -m 0655 %{SOURCE2} %{buildroot}%{_bindir}
install -d -m 0755 %{buildroot}%{_sysconfdir}/cron.d/
install -p -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/cron.d/
%files
%{_bindir}/zabbix_checknfs
%{_bindir}/zabbix_nfs_autodiscovery
%{_sysconfdir}/cron.d/zabbix-check-nfs
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_agentd.d/nfs-filesystems.conf

%post
service zabbix-agent restart

%changelog
* Mon Oct 3 2022 Martin S. Benonisen <m.s.benonisen@usit.uio.no> - 0.8.0
- zabbix_checknfs script updated to properly timeout with hard nfs hangs
* Mon Oct 3 2022 Martin S. Benonisen <m.s.benonisen@usit.uio.no> - 0.7.9
- Zabbix check nfs script now uses zabbix conf fetch zabbix proxy
* Mon Nov 2 2020 Martin S. Benonisen  <m.s.benonisen@usit.uio.no> - 0.7.8
- Removed iptables-setup
* Tue Aug 18 2020 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.7.7
- Adjusted iptables-setup to not update timestamp on unchanged ipv4 and ipv6
  tables in /etc/.
* Mon Jun 15 2020 Martin S. Beonisen <m.s.benonisen@usit.uio.no> - 0.7.6
- Remove enviroment-modules requirement
* Mon May 25 2020 Martin S. Beonisen <m.s.benonisen@usit.uio.no> - 0.7.5
- Allow ipv6 to 2001:700:111:6::/64 allow UiO ipv6
* Thu Feb 06 2020 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.7.4
- Reverse uid checking logic, use uid == 1000-$maxuid instead of uid != 0-999.
- Reinsert ip6tables rule as it no longer should break network
  discovery protocol (NDP).
* Mon Feb 03 2020 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.7.3
- Remove output rule from ip6tables that broke NDP
* Wed Jan 29 2020 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.7.2
- Fix permissions on iptables-setup to be executable
* Fri Jan 24 2020 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.7.1
- Move iptables setup to /usr/share
* Thu Jan 23 2020 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.7.0
- Change iptables-setup to block fe80:: destinations instead of source
* Thu Jan 23 2020 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.6.9
- Change iptables-setup to block fe80:: for uid > 0
* Wed Jan 22 2020 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.6.8
- Change iptables_setup to block access for uid > 999 to filebeat port 5044
  inside TSD and everything outside TSD.
- Added variables in iptables_setup to make it easier to test outside TSD.
* Tue Jun 17 2019 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.6.7
- zabbix_nfs_autodiscovery changed to look at /proc/mounts instead of using mount due to selinux issues.
* Mon Jun 17 2019 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.6.6
- Zabbix check-nfs now also checks for nfs4
* Mon Sep 17 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.6.5
- Changed iptables-setup to allow 10.3.0.0/16 RT#3105907
* Mon May 24 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.6.4
- Added zabbix-agent dependency and restart zabbix-agent in post
* Mon May 22 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.6.3
- Added cronjob to check for nfs hangs
* Mon May 22 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.6.2
- Changed zabbix_checknfs to go through paths in mount -t nfs and run each command in a subshell which is disowned
* Mon May 22 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.6.1
- Fix zabbix_agent.d directory typo
* Mon May 16 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.6
- Added additional script and config used by zabbix to discover nfs mounts, changed checknfs to use zabbix_sender
* Mon May 16 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.5.6
- zabbix_checknfs: changed PATH to NFSPATH
* Mon May 16 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.5.5
- checknfs: renamed to zabbix_checknfs, output changed to be zabbix friendly
* Mon May 16 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.5.4
- checknfs: Changed output to be more computer friendly
* Mon May 14 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.5.3
- checknfs: return exit code of stat
* Mon May 14 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.5.2
- checknfs: store return value in variable before testing.
* Tue May 07 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.5
- Updated checknfs, added helptext, and output.
* Tue May 07 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.4.2
- Added checknfs
* Tue May 07 2018 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.4.1
- Added checknfs script for use with zabbix
* Thu May 12 2016 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.3.9
- Removed tsd-colossus.sh on request
* Wed Sep 09 2015 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.3.8
- Added input/output allow rules for 10.6.0.0/8 so that the thinlinc proxy can talk to the agent servers
* Mon Sep  7 2015 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.3.7
- Replace profile.d script tsd-module-use with tsd-colossus.sh on request from Bjorn Helge Melvik to make qsumm available in TSD (RT #1914953).
* Tue Feb 24 2015 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.3.6
- iptables-setup: added --debug and etckeeper commit before and after saving iptables, now also properly handles multiple interfaces and interfaces without ip address
* Mon Feb 23 2015 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.3.5
- Fixed some rules that where written in the wrong order and added output rules for vlan2605
* Fri Feb 20 2015 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.3.4
- Added rule in iptables-setup to accept vlan2605 (colossus)
* Thu Feb 19 2015 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.3.3
- Fixed bugs in iptables-setup
* Thu Feb 19 2015 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.3
- Added iptables-setup, a script used to set ip6tables and iptables for clients in TSD
* Tue Feb 17 2015 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.2
- Removed #!/usr/bin/bash from tsd-module-use
* Mon Feb 16 2015 Martin Strokkenes Benonisen <m.s.benonisen@usit.uio.no> - 0.1
- Initial release
